<div class="basic-page">
  <div class="page-header">
    <h3>{{"General.Menu.Organisations" | translate}}</h3>
  </div>
  <p>{{"Economic.Entity.OrgInfo1" | translate}}</p>
  <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
    <div style="padding-top: 15px;" *ngIf="list.length > 0" class="listitem-container alternative">
      <div nz-row ngClass="listitem header" nzType="flex" nzAlign="middle" nzJustify="start">
        <div nz-col ngClass="first" nzXs="6"></div>
        <div nz-col nzXs="6">Managers</div>
        <div nz-col nzXs="6">Companies</div>
        <div nz-col nzXs="6"></div>
      </div>
      <div ngClass="listitem" *ngFor="let item of list" nz-row nzType="flex" nzAlign="middle" nzJustify="start">
        <div nz-col ngClass="first" nzXs="6">
          <a href="{{hostUrl}}/organisation/{{item.id}}" target="_blank">
            <img class="avatar" src="{{hostUrl}}/{{item.avatarLocation}}">
            <br />
            {{ item.name }}
          </a>
        </div>
        <div nz-col nzXs="6">
          {{item.managersCount}}
        </div>
        <div nz-col nzXs="6">
          {{item.companiesCount}}
        </div>
        <div ngClass="last" nz-col nzXs="6">
          <a nz-button nzType="blue" href="{{hostUrl}}/entity/switchTo?value=Organisation:{{item.id}}" target="_blank">
            Switch
          </a>
        </div>
      </div>
    </div>
  </nz-spin>
  <div ngClass="padded" nz-row nzType="flex" nzAlign="middle" nzJustify="end">
    <div nz-col nzXs="12" style="text-align: right;">
      <a nz-button nzType="green" target="_blank"
        href="{{hostUrl}}/organisation/create">{{"Economic.Company.Create" | translate }}</a>
    </div>
  </div>
</div>
